Skip to main content
POST
Add external wallets to a user

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user

Body

application/json
address
string
required

The wallet address to add

chain
enum<string>
required

The blockchain network for this wallet

Available options:
POLYGON,
SOLANA,
ETHEREUM,
BASE,
TRON
name
string
required

Name for the wallet

referenceId
string
required

A custom reference ID for the wallet

Response

Success

id
string<uuid>
userId
string<uuid>
chain
enum<string>
Available options:
POLYGON,
SOLANA,
ETHEREUM,
BASE,
TRON
name
string
address
string
referenceId
string
active
boolean
createdAt
string<date-time>
updatedAt
string<date-time> | null